package com.yuandian.dataflow.statemachine;

import com.alipay.sofa.jraft.Closure;
import com.alipay.sofa.jraft.Status;
import com.yuandian.dataflow.statemachine.rpc.SMResponse;
import com.yuandian.dataflow.statemachine.rpc.TaskState;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@Slf4j
@Getter
@Setter
@ToString
public abstract class SyncDataClosure implements Closure {
 
	// 状态机的统一响应
	private SMResponse response;
	// 代表任务状态 
	private TaskState state;


	protected void failure(final String errorMsg, final String redirect) {
        final SMResponse response = new SMResponse();
        response.setSuccess(false);
        response.setMsg(errorMsg);
        response.setRedirect(redirect);
        setResponse(response);
    }

    protected void success(final TaskState value) {
        final SMResponse response = new SMResponse();
        response.setState(value);
        response.setSuccess(true);
        setResponse(response);
    }
 
 

}
